### Method

# Pango Renderer get_matrix

since: 1.8

#### Declaration [src]

    const PangoMatrix*
    pango_renderer_get_matrix (
      PangoRenderer* renderer
    )

#### Description [src]

Gets the transformation matrix that will be applied when rendering.

See `pango_renderer_set_matrix()`.

Available since: 1.8

#### Return value

Type: `PangoMatrix`

The matrix, or `NULL` if no matrix has been set (which is the same as the identity matrix). The returned matrix is owned by Pango and must not be modified or freed.

The returned data is owned by the instance.
The return value can be `NULL`.